' Imports file


'Win32 Functions
DECLARE IMPORT,GetDC(hwnd:INT),INT 
DECLARE IMPORT,ReleaseDC(hwnd:INT, hdc:INT),INT 
DECLARE IMPORT,GetModuleHandleA(lpModuleName:POINTER),UINT
DECLARE IMPORT,wglCreateContext(HDC:UINT),UINT
DECLARE IMPORT,wglMakeCurrent(HDC:UINT, HGLRC:UINT),CHAR
DECLARE IMPORT,wglDeleteContext(HGLRC:UINT),CHAR
DECLARE IMPORT,wglGetProcAddress(lpszProc:POINTER),POINTER

DECLARE IMPORT,ChangeDisplaySettingsA(lpDevMode:POINTER,dwflags:UINT),INT
DECLARE IMPORT,ChoosePixelFormat(HDC:UINT,ppfd:POINTER),INT
DECLARE IMPORT,SetPixelFormat(HDC:UINT,iPixelFormat:INT,ppfd:POINTER),CHAR
DECLARE IMPORT,SwapBuffers(HDC:UINT),CHAR
DECLARE IMPORT,ShowCursor(bshow:CHAR),INT
DECLARE IMPORT,SetWindowLongA(hWnd:UINT,nIndex:INT,dwNewLong:UINT),INT
DECLARE IMPORT,AdjustWindowRectEx(lpRect:POINTER,dwStyle:UINT,bMenu:CHAR,dwExStyle:UINT),CHAR
DECLARE IMPORT,ShowWindowA ALIAS "ShowWindow"(hwnd:UINT,nCmdShow:INT),INT 
DECLARE IMPORT,SetForegroundWindow(hwnd:UINT),char
DECLARE IMPORT,SetFocusA ALIAS "SetFocus"(hwnd:UINT),uint
DECLARE IMPORT,EnumDisplaySettingsA(lpszDeviceName:POINTER,iModeNum:UINT,lpDevMode:POINTER),CHAR

' C Fucntions
DECLARE CDECL EXTERN _sprintf(bufferCHAR:POINTER,formatCHAR:POINTER,...),INT

DECLARE CDECL EXTERN _memset(dest:POINTER,c:INT,count:UINT),POINTER
DECLARE CDECL EXTERN _fopen(filenameSCHAR:POINTER,modeSCHAR:POINTER ),POINTER : ' returns pointer to a CFILE address
DECLARE CDECL EXTERN _fread(void:POINTER,size:UINT,count:UINT,streamCFILE:POINTER),UINT
DECLARE CDECL EXTERN _fclose( streamCFILE:POINTER ),INT
DECLARE CDECL EXTERN _fseek( streamCFILE:POINTER, offset:INT, origin:INT ),INT

DECLARE CDECL EXTERN _strstr( charPtr_string:POINTER, charPtr_strCharSet:POINTER ),POINTER : ' returns char *
DECLARE CDECL EXTERN _strlen( charPtr_string:POINTER ),INT
DECLARE CDECL EXTERN _strcpy( charPtr_strDestination:POINTER, charPtr_strSource:POINTER ),POINTER : ' returns char *



TYPE CFILE
	DEF _ptrSCHAR:POINTER
	DEF _cnt:INT
	DEF _baseSCHAR:POINTER
	DEF _flag:INT
	DEF _file:INT
	DEF _charbuf:INT
	DEF _bufsiz:INT
	DEF _tmpfnameSCHAR:POINTER
ENDTYPE
CONST SEEK_SET      =  0               /* seek to an absolute position */
CONST SEEK_CUR      =  1               /* seek relative to current position */
CONST SEEK_END      =  2               /* seek relative to end of file */



'SetWindowLongA
CONST GWL_WNDPROC     =    (-4)
CONST GWL_HINSTANCE    =   (-6)
CONST GWL_HWNDPARENT  =    (-8)
CONST GWL_STYLE        =   (-16)
CONST GWL_EXSTYLE      =   (-20)
CONST GWL_USERDATA     =   (-21)
CONST GWL_ID           =   (-12)

/*
 * ShowWindow() Commands
 */
CONST SW_HIDE             =0
CONST SW_SHOWNORMAL       =1
CONST SW_NORMAL           =1
CONST SW_SHOWMINIMIZED    =2
CONST SW_SHOWMAXIMIZED    =3
CONST SW_MAXIMIZE         =3
CONST SW_SHOWNOACTIVATE   =4
CONST SW_SHOW             =5
CONST SW_MINIMIZE         =6
CONST SW_SHOWMINNOACTIVE  =7
CONST SW_SHOWNA           =8
CONST SW_RESTORE          =9
CONST SW_SHOWDEFAULT      =10
CONST SW_FORCEMINIMIZE    =11
CONST SW_MAX              =11
/*
 * Window Styles
 */
CONST WS_OVERLAPPED       =0x00000000
CONST WS_POPUP            =0x80000000
CONST WS_CHILD            =0x40000000
CONST WS_MINIMIZE         =0x20000000
CONST WS_VISIBLE          =0x10000000
CONST WS_DISABLED         =0x08000000
CONST WS_CLIPSIBLINGS     =0x04000000
CONST WS_CLIPCHILDREN     =0x02000000
CONST WS_MAXIMIZE         =0x01000000
CONST WS_CAPTION          =0x00C00000     /* WS_BORDER | WS_DLGFRAME  */
CONST WS_BORDER           =0x00800000
CONST WS_DLGFRAME         =0x00400000
CONST WS_VSCROLL          =0x00200000
CONST WS_HSCROLL          =0x00100000
CONST WS_SYSMENU          =0x00080000
CONST WS_THICKFRAME       =0x00040000
CONST WS_GROUP            =0x00020000
CONST WS_TABSTOP          =0x00010000
CONST WS_MINIMIZEBOX      =0x00020000
CONST WS_MAXIMIZEBOX      =0x00010000
CONST WS_OVERLAPPEDWINDOW =(WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU|WS_THICKFRAME|WS_MINIMIZEBOX|WS_MAXIMIZEBOX)
/*
 * Extended Window Styles
 */
CONST WS_EX_DLGMODALFRAME     =0x00000001
CONST WS_EX_NOPARENTNOTIFY    =0x00000004
CONST WS_EX_TOPMOST           =0x00000008
CONST WS_EX_ACCEPTFILES       =0x00000010
CONST WS_EX_TRANSPARENT       =0x00000020
CONST WS_EX_MDICHILD          =0x00000040
CONST WS_EX_TOOLWINDOW        =0x00000080
CONST WS_EX_WINDOWEDGE        =0x00000100
CONST WS_EX_CLIENTEDGE        =0x00000200
CONST WS_EX_CONTEXTHELP       =0x00000400

CONST WS_EX_RIGHT             =0x00001000
CONST WS_EX_LEFT              =0x00000000
CONST WS_EX_RTLREADING        =0x00002000
CONST WS_EX_LTRREADING        =0x00000000
CONST WS_EX_LEFTSCROLLBAR     =0x00004000
CONST WS_EX_RIGHTSCROLLBAR    =0x00000000

CONST WS_EX_CONTROLPARENT     =0x00010000
CONST WS_EX_STATICEDGE        =0x00020000
CONST WS_EX_APPWINDOW         =0x00040000


CONST WS_EX_OVERLAPPEDWINDOW  =(WS_EX_WINDOWEDGE | WS_EX_CLIENTEDGE)
CONST WS_EX_PALETTEWINDOW     =(WS_EX_WINDOWEDGE | WS_EX_TOOLWINDOW | WS_EX_TOPMOST)

' DEVMODE structure / dmFields
CONST DM_BITSPERPEL = 0x00040000
CONST DM_PELSWIDTH  = 0x00080000
CONST DM_PELSHEIGHT = 0x00100000

TYPE DEVMODE
    DEF dmDeviceName[32]:CHAR
    DEF dmSpecVersion:WORD
    DEF dmDriverVersion:WORD
    DEF dmSize:WORD
    DEF dmDriverExtra:WORD
    DEF dmFields:UINT
    DEF dmOrientation:SWORD
    DEF dmPaperSize:SWORD
    DEF dmPaperLength:SWORD
    DEF dmPaperWidth:SWORD
    DEF dmScale:SWORD
    DEF dmCopies:SWORD
    DEF dmDefaultSource:SWORD
    DEF dmPrintQuality:SWORD
    DEF dmColor:SWORD
    DEF dmDuplex:SWORD
    DEF dmYResolution:SWORD
    DEF dmTTOption:SWORD
    DEF dmCollate:SWORD
    DEF dmFormName[32]:CHAR
    DEF dmUnusedPadding:WORD
    DEF dmBitsPerPel:WORD
    DEF dmPelsWidth:UINT
    DEF dmPelsHeight:UINT
    DEF dmDisplayFlags:UINT
    DEF dmDisplayFrequency:UINT
	DEF dmICMMethod:UINT
    DEF dmICMIntent:UINT
    DEF dmMediaType:UINT
    DEF dmDitherType:UINT
    DEF dmReserved1:UINT
    DEF dmReserved2:UINT
ENDTYPE

'ChangeDisplaySettingsA
CONST CDS_FULLSCREEN  = 0x00000004
CONST DISP_CHANGE_SUCCESSFUL = 0

/* Pixel format descriptor */
TYPE PIXELFORMATDESCRIPTOR
    DEF nSize:WORD
    DEF nVersion:WORD
    DEF dwFlags:UINT
    DEF iPixelType:CHAR
    DEF cColorBits:CHAR
    DEF cRedBits:CHAR
    DEF cRedShift:CHAR
    DEF cGreenBits:CHAR
    DEF cGreenShift:CHAR
    DEF cBlueBits:CHAR
    DEF cBlueShift:CHAR
    DEF cAlphaBits:CHAR
    DEF cAlphaShift:CHAR
    DEF cAccumBits:CHAR
    DEF cAccumRedBits:CHAR
    DEF cAccumGreenBits:CHAR
    DEF cAccumBlueBits:CHAR
    DEF cAccumAlphaBits:CHAR
    DEF cDepthBits:CHAR
    DEF cStencilBits:CHAR
    DEF cAuxBuffers:CHAR
    DEF iLayerType:CHAR
    DEF bReserved:CHAR
    DEF dwLayerMask:UINT
    DEF dwVisibleMask:UINT
    DEF dwDamageMask:UINT
ENDTYPE

/* pixel types */
CONST PFD_TYPE_RGBA        =0
CONST PFD_TYPE_COLORINDEX  =1

/* layer types */
CONST PFD_MAIN_PLANE       =0
CONST PFD_OVERLAY_PLANE    =1
CONST PFD_UNDERLAY_PLANE   =(-1)

/* PIXELFORMATDESCRIPTOR flags */
CONST PFD_DOUBLEBUFFER            =0x00000001
CONST PFD_STEREO                  =0x00000002
CONST PFD_DRAW_TO_WINDOW          =0x00000004
CONST PFD_DRAW_TO_BITMAP          =0x00000008
CONST PFD_SUPPORT_GDI             =0x00000010
CONST PFD_SUPPORT_OPENGL          =0x00000020
CONST PFD_GENERIC_FORMAT          =0x00000040
CONST PFD_NEED_PALETTE            =0x00000080
CONST PFD_NEED_SYSTEM_PALETTE     =0x00000100
CONST PFD_SWAP_EXCHANGE           =0x00000200
CONST PFD_SWAP_COPY               =0x00000400
CONST PFD_SWAP_LAYER_BUFFERS      =0x00000800
CONST PFD_GENERIC_ACCELERATED     =0x00001000
CONST PFD_SUPPORT_DIRECTDRAW      =0x00002000

' WINGDI bitmap info
TYPE BITMAPINFOHEADER
	DEF biSize:UINT
	DEF biWidth:INT
	DEF biHeight:INT
	DEF biPlanes:WORD
	DEF biBitCount:WORD
	DEF biCompression:UINT
	DEF biSizeImage:UINT
	DEF biXPelsPerMeter:INT
	DEF biYPelsPerMeter:INT
	DEF biClrUsed:UINT
	DEF biClrImportant:UINT
ENDTYPE

TYPE BITMAPFILEHEADER,2
	DEF bfType:WORD
	DEF bfSize:UINT
	DEF bfReserved1:WORD
	DEF bfReserved2:WORD
	DEF bfOffBits:UINT
ENDTYPE 



