' Converted gl.h for IBasic use by Todd Riggins[www.exodev.com]

$USE "OpenGL32.lib"
/* Version */
CONST GL_VERSION_1_1                    = 1

/* AccumOp */
CONST GL_ACCUM                          = 0x0100
CONST GL_LOAD                           = 0x0101
CONST GL_RETURN                         = 0x0102
CONST GL_MULT                           = 0x0103
CONST GL_ADD                            = 0x0104

/* AlphaFunction */
CONST GL_NEVER                          = 0x0200
CONST GL_LESS                           = 0x0201
CONST GL_EQUAL                          = 0x0202
CONST GL_LEQUAL                         = 0x0203
CONST GL_GREATER                        = 0x0204
CONST GL_NOTEQUAL                       = 0x0205
CONST GL_GEQUAL                         = 0x0206
CONST GL_ALWAYS                         = 0x0207

/* AttribMask */
CONST GL_CURRENT_BIT                    = 0x00000001
CONST GL_POINT_BIT                      = 0x00000002
CONST GL_LINE_BIT                       = 0x00000004
CONST GL_POLYGON_BIT                    = 0x00000008
CONST GL_POLYGON_STIPPLE_BIT            = 0x00000010
CONST GL_PIXEL_MODE_BIT                 = 0x00000020
CONST GL_LIGHTING_BIT                   = 0x00000040
CONST GL_FOG_BIT                        = 0x00000080
CONST GL_DEPTH_BUFFER_BIT               = 0x00000100
CONST GL_ACCUM_BUFFER_BIT               = 0x00000200
CONST GL_STENCIL_BUFFER_BIT             = 0x00000400
CONST GL_VIEWPORT_BIT                   = 0x00000800
CONST GL_TRANSFORM_BIT                  = 0x00001000
CONST GL_ENABLE_BIT                     = 0x00002000
CONST GL_COLOR_BUFFER_BIT               = 0x00004000
CONST GL_HINT_BIT                       = 0x00008000
CONST GL_EVAL_BIT                       = 0x00010000
CONST GL_LIST_BIT                       = 0x00020000
CONST GL_TEXTURE_BIT                    = 0x00040000
CONST GL_SCISSOR_BIT                    = 0x00080000
CONST GL_ALL_ATTRIB_BITS                = 0x000fffff

/* BeginMode */
CONST GL_POINTS                         = 0x0000
CONST GL_LINES                          = 0x0001
CONST GL_LINE_LOOP                      = 0x0002
CONST GL_LINE_STRIP                     = 0x0003
CONST GL_TRIANGLES                      = 0x0004
CONST GL_TRIANGLE_STRIP                 = 0x0005
CONST GL_TRIANGLE_FAN                   = 0x0006
CONST GL_QUADS                          = 0x0007
CONST GL_QUAD_STRIP                     = 0x0008
CONST GL_POLYGON                        = 0x0009

/* BlendingFactorDest */
CONST GL_ZERO                           = 0
CONST GL_ONE                            = 1
CONST GL_SRC_COLOR                      = 0x0300
CONST GL_ONE_MINUS_SRC_COLOR            = 0x0301
CONST GL_SRC_ALPHA                      = 0x0302
CONST GL_ONE_MINUS_SRC_ALPHA            = 0x0303
CONST GL_DST_ALPHA                      = 0x0304
CONST GL_ONE_MINUS_DST_ALPHA            = 0x0305

/* BlendingFactorSrc */
CONST GL_DST_COLOR                      = 0x0306
CONST GL_ONE_MINUS_DST_COLOR            = 0x0307
CONST GL_SRC_ALPHA_SATURATE             = 0x0308

/* Boolean */
CONST GL_TRUE                           = 1
CONST GL_FALSE                          = 0

/* ClipPlaneName */
CONST GL_CLIP_PLANE0                    = 0x3000
CONST GL_CLIP_PLANE1                    = 0x3001
CONST GL_CLIP_PLANE2                    = 0x3002
CONST GL_CLIP_PLANE3                    = 0x3003
CONST GL_CLIP_PLANE4                    = 0x3004
CONST GL_CLIP_PLANE5                    = 0x3005

/* DataType */
CONST GL_BYTE                           = 0x1400
CONST GL_UNSIGNED_BYTE                  = 0x1401
CONST GL_SHORT                          = 0x1402
CONST GL_UNSIGNED_SHORT                 = 0x1403
CONST GL_INT                            = 0x1404
CONST GL_UNSIGNED_INT                   = 0x1405
CONST GL_FLOAT                          = 0x1406
CONST GL_2_BYTES                        = 0x1407
CONST GL_3_BYTES                        = 0x1408
CONST GL_4_BYTES                        = 0x1409
CONST GL_DOUBLE                         = 0x140A

/* DrawBufferMode */
CONST GL_NONE                           = 0
CONST GL_FRONT_LEFT                     = 0x0400
CONST GL_FRONT_RIGHT                    = 0x0401
CONST GL_BACK_LEFT                      = 0x0402
CONST GL_BACK_RIGHT                     = 0x0403
CONST GL_FRONT                          = 0x0404
CONST GL_BACK                           = 0x0405
CONST GL_LEFT                           = 0x0406
CONST GL_RIGHT                          = 0x0407
CONST GL_FRONT_AND_BACK                 = 0x0408
CONST GL_AUX0                           = 0x0409
CONST GL_AUX1                           = 0x040A
CONST GL_AUX2                           = 0x040B
CONST GL_AUX3                           = 0x040C

/* ErrorCode */
CONST GL_NO_ERROR                       = 0
CONST GL_INVALID_ENUM                   = 0x0500
CONST GL_INVALID_VALUE                  = 0x0501
CONST GL_INVALID_OPERATION              = 0x0502
CONST GL_STACK_OVERFLOW                 = 0x0503
CONST GL_STACK_UNDERFLOW                = 0x0504
CONST GL_OUT_OF_MEMORY                  = 0x0505

/* FeedBackMode */
CONST GL_2D                             = 0x0600
CONST GL_3D                             = 0x0601
CONST GL_3D_COLOR                       = 0x0602
CONST GL_3D_COLOR_TEXTURE               = 0x0603
CONST GL_4D_COLOR_TEXTURE               = 0x0604

/* FeedBackToken */
CONST GL_PASS_THROUGH_TOKEN             = 0x0700
CONST GL_POINT_TOKEN                    = 0x0701
CONST GL_LINE_TOKEN                     = 0x0702
CONST GL_POLYGON_TOKEN                  = 0x0703
CONST GL_BITMAP_TOKEN                   = 0x0704
CONST GL_DRAW_PIXEL_TOKEN               = 0x0705
CONST GL_COPY_PIXEL_TOKEN               = 0x0706
CONST GL_LINE_RESET_TOKEN               = 0x0707

/* FogMode */
CONST GL_EXP                            = 0x0800
CONST GL_EXP2                           = 0x0801

/* FrontFaceDirection */
CONST GL_CW                             = 0x0900
CONST GL_CCW                            = 0x0901

/* GetMapTarget */
CONST GL_COEFF                          = 0x0A00
CONST GL_ORDER                          = 0x0A01
CONST GL_DOMAIN                         = 0x0A02

/* GetTarget */
CONST GL_CURRENT_COLOR                  = 0x0B00
CONST GL_CURRENT_INDEX                  = 0x0B01
CONST GL_CURRENT_NORMAL                 = 0x0B02
CONST GL_CURRENT_TEXTURE_COORDS         = 0x0B03
CONST GL_CURRENT_RASTER_COLOR           = 0x0B04
CONST GL_CURRENT_RASTER_INDEX           = 0x0B05
CONST GL_CURRENT_RASTER_TEXTURE_COORDS  = 0x0B06
CONST GL_CURRENT_RASTER_POSITION        = 0x0B07
CONST GL_CURRENT_RASTER_POSITION_VALID  = 0x0B08
CONST GL_CURRENT_RASTER_DISTANCE        = 0x0B09
CONST GL_POINT_SMOOTH                   = 0x0B10
CONST GL_POINT_SIZE                     = 0x0B11
CONST GL_POINT_SIZE_RANGE               = 0x0B12
CONST GL_POINT_SIZE_GRANULARITY         = 0x0B13
CONST GL_LINE_SMOOTH                    = 0x0B20
CONST GL_LINE_WIDTH                     = 0x0B21
CONST GL_LINE_WIDTH_RANGE               = 0x0B22
CONST GL_LINE_WIDTH_GRANULARITY         = 0x0B23
CONST GL_LINE_STIPPLE                   = 0x0B24
CONST GL_LINE_STIPPLE_PATTERN           = 0x0B25
CONST GL_LINE_STIPPLE_REPEAT            = 0x0B26
CONST GL_LIST_MODE                      = 0x0B30
CONST GL_MAX_LIST_NESTING               = 0x0B31
CONST GL_LIST_BASE                      = 0x0B32
CONST GL_LIST_INDEX                     = 0x0B33
CONST GL_POLYGON_MODE                   = 0x0B40
CONST GL_POLYGON_SMOOTH                 = 0x0B41
CONST GL_POLYGON_STIPPLE                = 0x0B42
CONST GL_EDGE_FLAG                      = 0x0B43
CONST GL_CULL_FACE                      = 0x0B44
CONST GL_CULL_FACE_MODE                 = 0x0B45
CONST GL_FRONT_FACE                     = 0x0B46
CONST GL_LIGHTING                       = 0x0B50
CONST GL_LIGHT_MODEL_LOCAL_VIEWER       = 0x0B51
CONST GL_LIGHT_MODEL_TWO_SIDE           = 0x0B52
CONST GL_LIGHT_MODEL_AMBIENT            = 0x0B53
CONST GL_SHADE_MODEL                    = 0x0B54
CONST GL_COLOR_MATERIAL_FACE            = 0x0B55
CONST GL_COLOR_MATERIAL_PARAMETER       = 0x0B56
CONST GL_COLOR_MATERIAL                 = 0x0B57
CONST GL_FOG                            = 0x0B60
CONST GL_FOG_INDEX                      = 0x0B61
CONST GL_FOG_DENSITY                    = 0x0B62
CONST GL_FOG_START                      = 0x0B63
CONST GL_FOG_END                        = 0x0B64
CONST GL_FOG_MODE                       = 0x0B65
CONST GL_FOG_COLOR                      = 0x0B66
CONST GL_DEPTH_RANGE                    = 0x0B70
CONST GL_DEPTH_TEST                     = 0x0B71
CONST GL_DEPTH_WRITEMASK                = 0x0B72
CONST GL_DEPTH_CLEAR_VALUE              = 0x0B73
CONST GL_DEPTH_FUNC                     = 0x0B74
CONST GL_ACCUM_CLEAR_VALUE              = 0x0B80
CONST GL_STENCIL_TEST                   = 0x0B90
CONST GL_STENCIL_CLEAR_VALUE            = 0x0B91
CONST GL_STENCIL_FUNC                   = 0x0B92
CONST GL_STENCIL_VALUE_MASK             = 0x0B93
CONST GL_STENCIL_FAIL                   = 0x0B94
CONST GL_STENCIL_PASS_DEPTH_FAIL        = 0x0B95
CONST GL_STENCIL_PASS_DEPTH_PASS        = 0x0B96
CONST GL_STENCIL_REF                    = 0x0B97
CONST GL_STENCIL_WRITEMASK              = 0x0B98
CONST GL_MATRIX_MODE                    = 0x0BA0
CONST GL_NORMALIZE                      = 0x0BA1
CONST GL_VIEWPORT                       = 0x0BA2
CONST GL_MODELVIEW_STACK_DEPTH          = 0x0BA3
CONST GL_PROJECTION_STACK_DEPTH         = 0x0BA4
CONST GL_TEXTURE_STACK_DEPTH            = 0x0BA5
CONST GL_MODELVIEW_MATRIX               = 0x0BA6
CONST GL_PROJECTION_MATRIX              = 0x0BA7
CONST GL_TEXTURE_MATRIX                 = 0x0BA8
CONST GL_ATTRIB_STACK_DEPTH             = 0x0BB0
CONST GL_CLIENT_ATTRIB_STACK_DEPTH      = 0x0BB1
CONST GL_ALPHA_TEST                     = 0x0BC0
CONST GL_ALPHA_TEST_FUNC                = 0x0BC1
CONST GL_ALPHA_TEST_REF                 = 0x0BC2
CONST GL_DITHER                         = 0x0BD0
CONST GL_BLEND_DST                      = 0x0BE0
CONST GL_BLEND_SRC                      = 0x0BE1
CONST GL_BLEND                          = 0x0BE2
CONST GL_LOGIC_OP_MODE                  = 0x0BF0
CONST GL_INDEX_LOGIC_OP                 = 0x0BF1
CONST GL_COLOR_LOGIC_OP                 = 0x0BF2
CONST GL_AUX_BUFFERS                    = 0x0C00
CONST GL_DRAW_BUFFER                    = 0x0C01
CONST GL_READ_BUFFER                    = 0x0C02
CONST GL_SCISSOR_BOX                    = 0x0C10
CONST GL_SCISSOR_TEST                   = 0x0C11
CONST GL_INDEX_CLEAR_VALUE              = 0x0C20
CONST GL_INDEX_WRITEMASK                = 0x0C21
CONST GL_COLOR_CLEAR_VALUE              = 0x0C22
CONST GL_COLOR_WRITEMASK                = 0x0C23
CONST GL_INDEX_MODE                     = 0x0C30
CONST GL_RGBA_MODE                      = 0x0C31
CONST GL_DOUBLEBUFFER                   = 0x0C32
CONST GL_STEREO                         = 0x0C33
CONST GL_RENDER_MODE                    = 0x0C40
CONST GL_PERSPECTIVE_CORRECTION_HINT    = 0x0C50
CONST GL_POINT_SMOOTH_HINT              = 0x0C51
CONST GL_LINE_SMOOTH_HINT               = 0x0C52
CONST GL_POLYGON_SMOOTH_HINT            = 0x0C53
CONST GL_FOG_HINT                       = 0x0C54
CONST GL_TEXTURE_GEN_S                  = 0x0C60
CONST GL_TEXTURE_GEN_T                  = 0x0C61
CONST GL_TEXTURE_GEN_R                  = 0x0C62
CONST GL_TEXTURE_GEN_Q                  = 0x0C63
CONST GL_PIXEL_MAP_I_TO_I               = 0x0C70
CONST GL_PIXEL_MAP_S_TO_S               = 0x0C71
CONST GL_PIXEL_MAP_I_TO_R               = 0x0C72
CONST GL_PIXEL_MAP_I_TO_G               = 0x0C73
CONST GL_PIXEL_MAP_I_TO_B               = 0x0C74
CONST GL_PIXEL_MAP_I_TO_A               = 0x0C75
CONST GL_PIXEL_MAP_R_TO_R               = 0x0C76
CONST GL_PIXEL_MAP_G_TO_G               = 0x0C77
CONST GL_PIXEL_MAP_B_TO_B               = 0x0C78
CONST GL_PIXEL_MAP_A_TO_A               = 0x0C79
CONST GL_PIXEL_MAP_I_TO_I_SIZE          = 0x0CB0
CONST GL_PIXEL_MAP_S_TO_S_SIZE          = 0x0CB1
CONST GL_PIXEL_MAP_I_TO_R_SIZE          = 0x0CB2
CONST GL_PIXEL_MAP_I_TO_G_SIZE          = 0x0CB3
CONST GL_PIXEL_MAP_I_TO_B_SIZE          = 0x0CB4
CONST GL_PIXEL_MAP_I_TO_A_SIZE          = 0x0CB5
CONST GL_PIXEL_MAP_R_TO_R_SIZE          = 0x0CB6
CONST GL_PIXEL_MAP_G_TO_G_SIZE          = 0x0CB7
CONST GL_PIXEL_MAP_B_TO_B_SIZE          = 0x0CB8
CONST GL_PIXEL_MAP_A_TO_A_SIZE          = 0x0CB9
CONST GL_UNPACK_SWAP_BYTES              = 0x0CF0
CONST GL_UNPACK_LSB_FIRST               = 0x0CF1
CONST GL_UNPACK_ROW_LENGTH              = 0x0CF2
CONST GL_UNPACK_SKIP_ROWS               = 0x0CF3
CONST GL_UNPACK_SKIP_PIXELS             = 0x0CF4
CONST GL_UNPACK_ALIGNMENT               = 0x0CF5
CONST GL_PACK_SWAP_BYTES                = 0x0D00
CONST GL_PACK_LSB_FIRST                 = 0x0D01
CONST GL_PACK_ROW_LENGTH                = 0x0D02
CONST GL_PACK_SKIP_ROWS                 = 0x0D03
CONST GL_PACK_SKIP_PIXELS               = 0x0D04
CONST GL_PACK_ALIGNMENT                 = 0x0D05
CONST GL_MAP_COLOR                      = 0x0D10
CONST GL_MAP_STENCIL                    = 0x0D11
CONST GL_INDEX_SHIFT                    = 0x0D12
CONST GL_INDEX_OFFSET                   = 0x0D13
CONST GL_RED_SCALE                      = 0x0D14
CONST GL_RED_BIAS                       = 0x0D15
CONST GL_ZOOM_X                         = 0x0D16
CONST GL_ZOOM_Y                         = 0x0D17
CONST GL_GREEN_SCALE                    = 0x0D18
CONST GL_GREEN_BIAS                     = 0x0D19
CONST GL_BLUE_SCALE                     = 0x0D1A
CONST GL_BLUE_BIAS                      = 0x0D1B
CONST GL_ALPHA_SCALE                    = 0x0D1C
CONST GL_ALPHA_BIAS                     = 0x0D1D
CONST GL_DEPTH_SCALE                    = 0x0D1E
CONST GL_DEPTH_BIAS                     = 0x0D1F
CONST GL_MAX_EVAL_ORDER                 = 0x0D30
CONST GL_MAX_LIGHTS                     = 0x0D31
CONST GL_MAX_CLIP_PLANES                = 0x0D32
CONST GL_MAX_TEXTURE_SIZE               = 0x0D33
CONST GL_MAX_PIXEL_MAP_TABLE            = 0x0D34
CONST GL_MAX_ATTRIB_STACK_DEPTH         = 0x0D35
CONST GL_MAX_MODELVIEW_STACK_DEPTH      = 0x0D36
CONST GL_MAX_NAME_STACK_DEPTH           = 0x0D37
CONST GL_MAX_PROJECTION_STACK_DEPTH     = 0x0D38
CONST GL_MAX_TEXTURE_STACK_DEPTH        = 0x0D39
CONST GL_MAX_VIEWPORT_DIMS              = 0x0D3A
CONST GL_MAX_CLIENT_ATTRIB_STACK_DEPTH  = 0x0D3B
CONST GL_SUBPIXEL_BITS                  = 0x0D50
CONST GL_INDEX_BITS                     = 0x0D51
CONST GL_RED_BITS                       = 0x0D52
CONST GL_GREEN_BITS                     = 0x0D53
CONST GL_BLUE_BITS                      = 0x0D54
CONST GL_ALPHA_BITS                     = 0x0D55
CONST GL_DEPTH_BITS                     = 0x0D56
CONST GL_STENCIL_BITS                   = 0x0D57
CONST GL_ACCUM_RED_BITS                 = 0x0D58
CONST GL_ACCUM_GREEN_BITS               = 0x0D59
CONST GL_ACCUM_BLUE_BITS                = 0x0D5A
CONST GL_ACCUM_ALPHA_BITS               = 0x0D5B
CONST GL_NAME_STACK_DEPTH               = 0x0D70
CONST GL_AUTO_NORMAL                    = 0x0D80
CONST GL_MAP1_COLOR_4                   = 0x0D90
CONST GL_MAP1_INDEX                     = 0x0D91
CONST GL_MAP1_NORMAL                    = 0x0D92
CONST GL_MAP1_TEXTURE_COORD_1           = 0x0D93
CONST GL_MAP1_TEXTURE_COORD_2           = 0x0D94
CONST GL_MAP1_TEXTURE_COORD_3           = 0x0D95
CONST GL_MAP1_TEXTURE_COORD_4           = 0x0D96
CONST GL_MAP1_VERTEX_3                  = 0x0D97
CONST GL_MAP1_VERTEX_4                  = 0x0D98
CONST GL_MAP2_COLOR_4                   = 0x0DB0
CONST GL_MAP2_INDEX                     = 0x0DB1
CONST GL_MAP2_NORMAL                    = 0x0DB2
CONST GL_MAP2_TEXTURE_COORD_1           = 0x0DB3
CONST GL_MAP2_TEXTURE_COORD_2           = 0x0DB4
CONST GL_MAP2_TEXTURE_COORD_3           = 0x0DB5
CONST GL_MAP2_TEXTURE_COORD_4           = 0x0DB6
CONST GL_MAP2_VERTEX_3                  = 0x0DB7
CONST GL_MAP2_VERTEX_4                  = 0x0DB8
CONST GL_MAP1_GRID_DOMAIN               = 0x0DD0
CONST GL_MAP1_GRID_SEGMENTS             = 0x0DD1
CONST GL_MAP2_GRID_DOMAIN               = 0x0DD2
CONST GL_MAP2_GRID_SEGMENTS             = 0x0DD3
CONST GL_TEXTURE_1D                     = 0x0DE0
CONST GL_TEXTURE_2D                     = 0x0DE1
CONST GL_FEEDBACK_BUFFER_POINTER        = 0x0DF0
CONST GL_FEEDBACK_BUFFER_SIZE           = 0x0DF1
CONST GL_FEEDBACK_BUFFER_TYPE           = 0x0DF2
CONST GL_SELECTION_BUFFER_POINTER       = 0x0DF3
CONST GL_SELECTION_BUFFER_SIZE          = 0x0DF4

/* GetTextureParameter */
CONST GL_TEXTURE_WIDTH                  = 0x1000
CONST GL_TEXTURE_HEIGHT                 = 0x1001
CONST GL_TEXTURE_INTERNAL_FORMAT        = 0x1003
CONST GL_TEXTURE_BORDER_COLOR           = 0x1004
CONST GL_TEXTURE_BORDER                 = 0x1005

/* HintMode */
CONST GL_DONT_CARE                      = 0x1100
CONST GL_FASTEST                        = 0x1101
CONST GL_NICEST                         = 0x1102

/* LightName */
CONST GL_LIGHT0                         = 0x4000
CONST GL_LIGHT1                         = 0x4001
CONST GL_LIGHT2                         = 0x4002
CONST GL_LIGHT3                         = 0x4003
CONST GL_LIGHT4                         = 0x4004
CONST GL_LIGHT5                         = 0x4005
CONST GL_LIGHT6                         = 0x4006
CONST GL_LIGHT7                         = 0x4007

/* LightParameter */
CONST GL_AMBIENT                        = 0x1200
CONST GL_DIFFUSE                        = 0x1201
CONST GL_SPECULAR                       = 0x1202
CONST GL_POSITION                       = 0x1203
CONST GL_SPOT_DIRECTION                 = 0x1204
CONST GL_SPOT_EXPONENT                  = 0x1205
CONST GL_SPOT_CUTOFF                    = 0x1206
CONST GL_CONSTANT_ATTENUATION           = 0x1207
CONST GL_LINEAR_ATTENUATION             = 0x1208
CONST GL_QUADRATIC_ATTENUATION          = 0x1209

/* ListMode */
CONST GL_COMPILE                        = 0x1300
CONST GL_COMPILE_AND_EXECUTE            = 0x1301

/* LogicOp */
CONST GL_CLEAR                          = 0x1500
CONST GL_AND                            = 0x1501
CONST GL_AND_REVERSE                    = 0x1502
CONST GL_COPY                           = 0x1503
CONST GL_AND_INVERTED                   = 0x1504
CONST GL_NOOP                           = 0x1505
CONST GL_XOR                            = 0x1506
CONST GL_OR                             = 0x1507
CONST GL_NOR                            = 0x1508
CONST GL_EQUIV                          = 0x1509
CONST GL_INVERT                         = 0x150A
CONST GL_OR_REVERSE                     = 0x150B
CONST GL_COPY_INVERTED                  = 0x150C
CONST GL_OR_INVERTED                    = 0x150D
CONST GL_NAND                           = 0x150E
CONST GL_SET                            = 0x150F

/* MaterialParameter */
CONST GL_EMISSION                       = 0x1600
CONST GL_SHININESS                      = 0x1601
CONST GL_AMBIENT_AND_DIFFUSE            = 0x1602
CONST GL_COLOR_INDEXES                  = 0x1603

/* MatrixMode */
CONST GL_MODELVIEW                      = 0x1700
CONST GL_PROJECTION                     = 0x1701
CONST GL_TEXTURE                        = 0x1702

/* PixelCopyType */
CONST GL_COLOR                          = 0x1800
CONST GL_DEPTH                          = 0x1801
CONST GL_STENCIL                        = 0x1802

/* PixelFormat */
CONST GL_COLOR_INDEX                    = 0x1900
CONST GL_STENCIL_INDEX                  = 0x1901
CONST GL_DEPTH_COMPONENT                = 0x1902
CONST GL_RED                            = 0x1903
CONST GL_GREEN                          = 0x1904
CONST GL_BLUE                           = 0x1905
CONST GL_ALPHA                          = 0x1906
CONST GL_RGB                            = 0x1907
CONST GL_RGBA                           = 0x1908
CONST GL_LUMINANCE                      = 0x1909
CONST GL_LUMINANCE_ALPHA                = 0x190A

/* PixelType */
CONST GL_BITMAP                         = 0x1A00

/* PolygonMode */
CONST GL_POINT                          = 0x1B00
CONST GL_LINE                           = 0x1B01
CONST GL_FILL                           = 0x1B02

/* RenderingMode */
CONST GL_RENDER                         = 0x1C00
CONST GL_FEEDBACK                       = 0x1C01
CONST GL_SELECT                         = 0x1C02

/* ShadingModel */
CONST GL_FLAT                           = 0x1D00
CONST GL_SMOOTH                         = 0x1D01

/* StencilOp */
CONST GL_KEEP                           = 0x1E00
CONST GL_REPLACE                        = 0x1E01
CONST GL_INCR                           = 0x1E02
CONST GL_DECR                           = 0x1E03

/* StringName */
CONST GL_VENDOR                         = 0x1F00
CONST GL_RENDERER                       = 0x1F01
CONST GL_VERSION                        = 0x1F02
CONST GL_EXTENSIONS                     = 0x1F03

/* TextureCoordName */
CONST GL_S                              = 0x2000
CONST GL_T                              = 0x2001
CONST GL_R                              = 0x2002
CONST GL_Q                              = 0x2003

/* TextureEnvMode */
CONST GL_MODULATE                       = 0x2100
CONST GL_DECAL                          = 0x2101

/* TextureEnvParameter */
CONST GL_TEXTURE_ENV_MODE               = 0x2200
CONST GL_TEXTURE_ENV_COLOR              = 0x2201

/* TextureEnvTarget */
CONST GL_TEXTURE_ENV                    = 0x2300

/* TextureGenMode */
CONST GL_EYE_LINEAR                     = 0x2400
CONST GL_OBJECT_LINEAR                  = 0x2401
CONST GL_SPHERE_MAP                     = 0x2402

/* TextureGenParameter */
CONST GL_TEXTURE_GEN_MODE               = 0x2500
CONST GL_OBJECT_PLANE                   = 0x2501
CONST GL_EYE_PLANE                      = 0x2502

/* TextureMagFilter */
CONST GL_NEAREST                        = 0x2600
CONST GL_LINEAR                         = 0x2601

/* TextureMinFilter */
CONST GL_NEAREST_MIPMAP_NEAREST         = 0x2700
CONST GL_LINEAR_MIPMAP_NEAREST          = 0x2701
CONST GL_NEAREST_MIPMAP_LINEAR          = 0x2702
CONST GL_LINEAR_MIPMAP_LINEAR           = 0x2703

/* TextureParameterName */
CONST GL_TEXTURE_MAG_FILTER             = 0x2800
CONST GL_TEXTURE_MIN_FILTER             = 0x2801
CONST GL_TEXTURE_WRAP_S                 = 0x2802
CONST GL_TEXTURE_WRAP_T                 = 0x2803

/* TextureWrapMode */
CONST GL_CLAMP                          = 0x2900
CONST GL_REPEAT                         = 0x2901

/* ClientAttribMask */
CONST GL_CLIENT_PIXEL_STORE_BIT         = 0x00000001
CONST GL_CLIENT_VERTEX_ARRAY_BIT        = 0x00000002
CONST GL_CLIENT_ALL_ATTRIB_BITS         = 0xffffffff

/* polygon_offset */
CONST GL_POLYGON_OFFSET_FACTOR          = 0x8038
CONST GL_POLYGON_OFFSET_UNITS           = 0x2A00
CONST GL_POLYGON_OFFSET_POINT           = 0x2A01
CONST GL_POLYGON_OFFSET_LINE            = 0x2A02
CONST GL_POLYGON_OFFSET_FILL            = 0x8037

/* texture */
CONST GL_ALPHA4                         = 0x803B
CONST GL_ALPHA8                         = 0x803C
CONST GL_ALPHA12                        = 0x803D
CONST GL_ALPHA16                        = 0x803E
CONST GL_LUMINANCE4                     = 0x803F
CONST GL_LUMINANCE8                     = 0x8040
CONST GL_LUMINANCE12                    = 0x8041
CONST GL_LUMINANCE16                    = 0x8042
CONST GL_LUMINANCE4_ALPHA4              = 0x8043
CONST GL_LUMINANCE6_ALPHA2              = 0x8044
CONST GL_LUMINANCE8_ALPHA8              = 0x8045
CONST GL_LUMINANCE12_ALPHA4             = 0x8046
CONST GL_LUMINANCE12_ALPHA12            = 0x8047
CONST GL_LUMINANCE16_ALPHA16            = 0x8048
CONST GL_INTENSITY                      = 0x8049
CONST GL_INTENSITY4                     = 0x804A
CONST GL_INTENSITY8                     = 0x804B
CONST GL_INTENSITY12                    = 0x804C
CONST GL_INTENSITY16                    = 0x804D
CONST GL_R3_G3_B2                       = 0x2A10
CONST GL_RGB4                           = 0x804F
CONST GL_RGB5                           = 0x8050
CONST GL_RGB8                           = 0x8051
CONST GL_RGB10                          = 0x8052
CONST GL_RGB12                          = 0x8053
CONST GL_RGB16                          = 0x8054
CONST GL_RGBA2                          = 0x8055
CONST GL_RGBA4                          = 0x8056
CONST GL_RGB5_A1                        = 0x8057
CONST GL_RGBA8                          = 0x8058
CONST GL_RGB10_A2                       = 0x8059
CONST GL_RGBA12                         = 0x805A
CONST GL_RGBA16                         = 0x805B
CONST GL_TEXTURE_RED_SIZE               = 0x805C
CONST GL_TEXTURE_GREEN_SIZE             = 0x805D
CONST GL_TEXTURE_BLUE_SIZE              = 0x805E
CONST GL_TEXTURE_ALPHA_SIZE             = 0x805F
CONST GL_TEXTURE_LUMINANCE_SIZE         = 0x8060
CONST GL_TEXTURE_INTENSITY_SIZE         = 0x8061
CONST GL_PROXY_TEXTURE_1D               = 0x8063
CONST GL_PROXY_TEXTURE_2D               = 0x8064

/* texture_object */
CONST GL_TEXTURE_PRIORITY               = 0x8066
CONST GL_TEXTURE_RESIDENT               = 0x8067
CONST GL_TEXTURE_BINDING_1D             = 0x8068
CONST GL_TEXTURE_BINDING_2D             = 0x8069

/* vertex_array */
CONST GL_VERTEX_ARRAY                   = 0x8074
CONST GL_NORMAL_ARRAY                   = 0x8075
CONST GL_COLOR_ARRAY                    = 0x8076
CONST GL_INDEX_ARRAY                    = 0x8077
CONST GL_TEXTURE_COORD_ARRAY            = 0x8078
CONST GL_EDGE_FLAG_ARRAY                = 0x8079
CONST GL_VERTEX_ARRAY_SIZE              = 0x807A
CONST GL_VERTEX_ARRAY_TYPE              = 0x807B
CONST GL_VERTEX_ARRAY_STRIDE            = 0x807C
CONST GL_NORMAL_ARRAY_TYPE              = 0x807E
CONST GL_NORMAL_ARRAY_STRIDE            = 0x807F
CONST GL_COLOR_ARRAY_SIZE               = 0x8081
CONST GL_COLOR_ARRAY_TYPE               = 0x8082
CONST GL_COLOR_ARRAY_STRIDE             = 0x8083
CONST GL_INDEX_ARRAY_TYPE               = 0x8085
CONST GL_INDEX_ARRAY_STRIDE             = 0x8086
CONST GL_TEXTURE_COORD_ARRAY_SIZE       = 0x8088
CONST GL_TEXTURE_COORD_ARRAY_TYPE       = 0x8089
CONST GL_TEXTURE_COORD_ARRAY_STRIDE     = 0x808A
CONST GL_EDGE_FLAG_ARRAY_STRIDE         = 0x808C
CONST GL_VERTEX_ARRAY_POINTER           = 0x808E
CONST GL_NORMAL_ARRAY_POINTER           = 0x808F
CONST GL_COLOR_ARRAY_POINTER            = 0x8090
CONST GL_INDEX_ARRAY_POINTER            = 0x8091
CONST GL_TEXTURE_COORD_ARRAY_POINTER    = 0x8092
CONST GL_EDGE_FLAG_ARRAY_POINTER        = 0x8093
CONST GL_V2F                            = 0x2A20
CONST GL_V3F                            = 0x2A21
CONST GL_C4UB_V2F                       = 0x2A22
CONST GL_C4UB_V3F                       = 0x2A23
CONST GL_C3F_V3F                        = 0x2A24
CONST GL_N3F_V3F                        = 0x2A25
CONST GL_C4F_N3F_V3F                    = 0x2A26
CONST GL_T2F_V3F                        = 0x2A27
CONST GL_T4F_V4F                        = 0x2A28
CONST GL_T2F_C4UB_V3F                   = 0x2A29
CONST GL_T2F_C3F_V3F                    = 0x2A2A
CONST GL_T2F_N3F_V3F                    = 0x2A2B
CONST GL_T2F_C4F_N3F_V3F                = 0x2A2C
CONST GL_T4F_C4F_N3F_V4F                = 0x2A2D

/* Extensions */

CONST GL_EXT_vertex_array               = 1
CONST GL_EXT_bgra                       = 1
CONST GL_EXT_paletted_texture           = 1
CONST GL_WIN_swap_hint                  = 1
CONST GL_WIN_draw_range_elements        = 1

/* EXT_vertex_array */
/*
CONST GL_VERTEX_ARRAY_EXT               = 0x8074
CONST GL_NORMAL_ARRAY_EXT               = 0x8075
CONST GL_COLOR_ARRAY_EXT                = 0x8076
CONST GL_INDEX_ARRAY_EXT                = 0x8077
CONST GL_TEXTURE_COORD_ARRAY_EXT        = 0x8078
CONST GL_EDGE_FLAG_ARRAY_EXT            = 0x8079
CONST GL_VERTEX_ARRAY_SIZE_EXT          = 0x807A
CONST GL_VERTEX_ARRAY_TYPE_EXT          = 0x807B
CONST GL_VERTEX_ARRAY_STRIDE_EXT        = 0x807C
CONST GL_VERTEX_ARRAY_COUNT_EXT         = 0x807D
CONST GL_NORMAL_ARRAY_TYPE_EXT          = 0x807E
CONST GL_NORMAL_ARRAY_STRIDE_EXT        = 0x807F
CONST GL_NORMAL_ARRAY_COUNT_EXT         = 0x8080
CONST GL_COLOR_ARRAY_SIZE_EXT           = 0x8081
CONST GL_COLOR_ARRAY_TYPE_EXT           = 0x8082
CONST GL_COLOR_ARRAY_STRIDE_EXT         = 0x8083
CONST GL_COLOR_ARRAY_COUNT_EXT          = 0x8084
CONST GL_INDEX_ARRAY_TYPE_EXT           = 0x8085
CONST GL_INDEX_ARRAY_STRIDE_EXT         = 0x8086
CONST GL_INDEX_ARRAY_COUNT_EXT          = 0x8087
CONST GL_TEXTURE_COORD_ARRAY_SIZE_EXT   = 0x8088
CONST GL_TEXTURE_COORD_ARRAY_TYPE_EXT   = 0x8089
CONST GL_TEXTURE_COORD_ARRAY_STRIDE_EXT = 0x808A
CONST GL_TEXTURE_COORD_ARRAY_COUNT_EXT  = 0x808B
CONST GL_EDGE_FLAG_ARRAY_STRIDE_EXT     = 0x808C
CONST GL_EDGE_FLAG_ARRAY_COUNT_EXT      = 0x808D
CONST GL_VERTEX_ARRAY_POINTER_EXT       = 0x808E
CONST GL_NORMAL_ARRAY_POINTER_EXT       = 0x808F
CONST GL_COLOR_ARRAY_POINTER_EXT        = 0x8090
CONST GL_INDEX_ARRAY_POINTER_EXT        = 0x8091
CONST GL_TEXTURE_COORD_ARRAY_POINTER_EXT = 0x8092
CONST GL_EDGE_FLAG_ARRAY_POINTER_EXT    = 0x8093
CONST GL_DOUBLE_EXT                     = GL_DOUBLE
*/
/* EXT_bgra */
'CONST GL_BGR_EXT                        = 0x80E0
'CONST GL_BGRA_EXT                       = 0x80E1

/* EXT_paletted_texture */

/* These must match the GL_COLOR_TABLE_*_SGI enumerants */
CONST GL_COLOR_TABLE_FORMAT_EXT         = 0x80D8
CONST GL_COLOR_TABLE_WIDTH_EXT          = 0x80D9
CONST GL_COLOR_TABLE_RED_SIZE_EXT       = 0x80DA
CONST GL_COLOR_TABLE_GREEN_SIZE_EXT     = 0x80DB
CONST GL_COLOR_TABLE_BLUE_SIZE_EXT      = 0x80DC
CONST GL_COLOR_TABLE_ALPHA_SIZE_EXT     = 0x80DD
CONST GL_COLOR_TABLE_LUMINANCE_SIZE_EXT = 0x80DE
CONST GL_COLOR_TABLE_INTENSITY_SIZE_EXT = 0x80DF

'CONST GL_COLOR_INDEX1_EXT               = 0x80E2
'CONST GL_COLOR_INDEX2_EXT               = 0x80E3
'CONST GL_COLOR_INDEX4_EXT               = 0x80E4
'CONST GL_COLOR_INDEX8_EXT               = 0x80E5
'CONST GL_COLOR_INDEX12_EXT              = 0x80E6
'CONST GL_COLOR_INDEX16_EXT              = 0x80E7

/* WIN_draw_range_elements */
CONST GL_MAX_ELEMENTS_VERTICES_WIN      = 0x80E8
CONST GL_MAX_ELEMENTS_INDICES_WIN       = 0x80E9

/* WIN_phong_shading */
'CONST GL_PHONG_WIN                      = 0x80EA 
'CONST GL_PHONG_HINT_WIN                 = 0x80EB 

/* WIN_specular_fog */
'CONST GL_FOG_SPECULAR_TEXTURE_WIN       = 0x80EC

/* For compatibility with OpenGL v1.0 */
CONST GL_LOGIC_OP = GL_INDEX_LOGIC_OP
CONST GL_TEXTURE_COMPONENTS = GL_TEXTURE_INTERNAL_FORMAT

/*************************************************************/

DECLARE IMPORT, glAccum(op AS UINT, value AS FLOAT)
DECLARE IMPORT, glAlphaFunc(func AS UINT,ref AS FLOAT)
DECLARE IMPORT, glAreTexturesResident(n AS INT,texturesUINT AS POINTER, residencesCHAR AS POINTER),CHAR
DECLARE IMPORT, glArrayElement(i AS INT)
DECLARE IMPORT, glBegin(mode AS UINT)
GLOBAL glBindTexture
DECLARE IMPORT, glBindTexture(target AS UINT,texture AS UINT)
DECLARE IMPORT, glBitmap(width AS INT,height AS INT,xorig AS FLOAT,yorig AS FLOAT,xmove AS FLOAT,ymove AS FLOAT,bitmapCHAR AS POINTER)
DECLARE IMPORT, glBlendFunc(sfactor AS UINT,dfactor AS UINT)
DECLARE IMPORT, glCallList(list AS UINT)
DECLARE IMPORT, glCallLists(n AS INT,thisType AS UINT,lists AS POINTER)
DECLARE IMPORT, glClear(mask AS UINT)
DECLARE IMPORT, glClearAccum(red AS FLOAT,green AS FLOAT,blue AS FLOAT,alpha AS FLOAT)
DECLARE IMPORT, glClearColor(red AS FLOAT,green AS FLOAT,blue AS FLOAT,alpha AS FLOAT)
DECLARE IMPORT, glClearDepth(depth AS DOUBLE)
DECLARE IMPORT, glClearIndex(c AS FLOAT)
DECLARE IMPORT, glClearStencil(s AS INT)
DECLARE IMPORT, glClipPlane(plane AS UINT,equationDOUBLE AS POINTER)
DECLARE IMPORT, glColor3b(red AS SCHAR,green AS SCHAR,blue AS SCHAR)
DECLARE IMPORT, glColor3bv(vSCHAR AS POINTER)
DECLARE IMPORT, glColor3d(red AS DOUBLE,green AS DOUBLE,blue AS DOUBLE)
DECLARE IMPORT, glColor3dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glColor3f(red AS FLOAT,green AS FLOAT,blue AS FLOAT)
DECLARE IMPORT, glColor3fv(vFLOAT AS POINTER)
DECLARE IMPORT, glColor3i(red AS INT,green AS INT,blue AS INT)
DECLARE IMPORT, glColor3iv(vINT AS POINTER)
DECLARE IMPORT, glColor3s(red AS SWORD, green AS SWORD, blue AS SWORD)
DECLARE IMPORT, glColor3sv(vSWORD AS POINTER)
DECLARE IMPORT, glColor3ub(red AS CHAR,green AS CHAR,blue AS CHAR)
DECLARE IMPORT, glColor3ubv(vCHAR AS POINTER)
DECLARE IMPORT, glColor3ui(red AS UINT,green AS UINT,blue AS UINT)
DECLARE IMPORT, glColor3uiv(vUINT AS POINTER)
DECLARE IMPORT, glColor3us(red AS WORD,green AS WORD,blue AS WORD)
DECLARE IMPORT, glColor3usv (vWORD AS POINTER)
DECLARE IMPORT, glColor4b(red AS SCHAR,green AS SCHAR,blue AS SCHAR,alpha AS SCHAR)
DECLARE IMPORT, glColor4bv(vSCHAR AS POINTER)
DECLARE IMPORT, glColor4d(red AS DOUBLE,green AS DOUBLE,blue AS DOUBLE,alpha AS DOUBLE)
DECLARE IMPORT, glColor4dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glColor4f(red AS FLOAT,green AS FLOAT,blue AS FLOAT,alpha AS FLOAT)
DECLARE IMPORT, glColor4fv(vFLOAT AS POINTER)
DECLARE IMPORT, glColor4i(red AS INT,green AS INT,blue AS INT,alpha AS INT)
DECLARE IMPORT, glColor4iv(vINT AS POINTER)
DECLARE IMPORT, glColor4s(red AS SWORD, green AS SWORD, blue AS SWORD, alpha AS SWORD)
DECLARE IMPORT, glColor4sv(vSWORD AS POINTER)
DECLARE IMPORT, glColor4ub(red AS CHAR,green AS CHAR,blue AS CHAR,alpha AS CHAR)
DECLARE IMPORT, glColor4ubv(vCHAR AS POINTER)
DECLARE IMPORT, glColor4ui(red AS UINT,green AS UINT,blue AS UINT,alpha AS UINT)
DECLARE IMPORT, glColor4uiv(vUINT AS POINTER)
DECLARE IMPORT, glColor4us(red AS WORD,green AS WORD,blue AS WORD,alpha AS WORD)
DECLARE IMPORT, glColor4usv(vWORD AS POINTER)
DECLARE IMPORT, glColorMask(red AS CHAR,green AS CHAR,blue AS CHAR,alpha AS CHAR)
DECLARE IMPORT, glColorMaterial(face AS UINT,mode AS UINT)
DECLARE IMPORT, glColorPointer(size AS INT,thisType AS UINT,stride AS INT,thisPointer AS POINTER)
DECLARE IMPORT, glCopyPixels(x AS INT,y AS INT,width AS INT,height AS INT,thisType AS UINT)
DECLARE IMPORT, glCopyTexImage1D(target AS UINT,level AS INT,internalFormat AS UINT,x AS INT,y AS INT,width AS INT,border AS INT)
DECLARE IMPORT, glCopyTexImage2D(target AS UINT,level AS INT,internalFormat AS UINT,x AS INT,y AS INT,width AS INT,height AS INT,border AS INT)
DECLARE IMPORT, glCopyTexSubImage1D(target AS UINT,level AS INT,xoffset AS INT,x AS INT,y AS INT,width AS INT)
DECLARE IMPORT, glCopyTexSubImage2D(target AS UINT,level AS INT,xoffset AS INT,yoffset AS INT,x AS INT,y AS INT,width AS INT,height AS INT)
DECLARE IMPORT, glCullFace(mode AS UINT)
DECLARE IMPORT, glDeleteLists(list AS UINT,range AS INT)
DECLARE IMPORT, glDeleteTextures(n AS INT,texturesUINT AS POINTER)
DECLARE IMPORT, glDepthFunc(func AS UINT)
DECLARE IMPORT, glDepthMask(flag AS CHAR)
DECLARE IMPORT, glDepthRange(zNear AS DOUBLE,zFar AS DOUBLE)
DECLARE IMPORT, glDisable(cap AS UINT)
DECLARE IMPORT, glDisableClientState(array AS UINT)
DECLARE IMPORT, glDrawArrays(mode AS UINT,first AS INT,count AS INT)
DECLARE IMPORT, glDrawBuffer(mode AS UINT)
DECLARE IMPORT, glDrawElements(mode AS UINT,count AS INT,thisType AS UINT,indices AS POINTER)
DECLARE IMPORT, glDrawPixels(width AS INT,height AS INT,format AS UINT,thisType AS UINT,pixels AS POINTER)
DECLARE IMPORT, glEdgeFlag(flag AS CHAR)
DECLARE IMPORT, glEdgeFlagPointer(stride AS INT,thisPointer AS POINTER)
DECLARE IMPORT, glEdgeFlagv(flagCHAR AS POINTER)
DECLARE IMPORT, glEnable(cap AS UINT)
DECLARE IMPORT, glEnableClientState(array AS UINT)
DECLARE IMPORT, glEnd()
DECLARE IMPORT, glEndList()
DECLARE IMPORT, glEvalCoord1d(u AS DOUBLE)
DECLARE IMPORT, glEvalCoord1dv(uDOUBLE AS POINTER)
DECLARE IMPORT, glEvalCoord1f(u AS FLOAT)
DECLARE IMPORT, glEvalCoord1fv(uFLOAT AS POINTER)
DECLARE IMPORT, glEvalCoord2d(u AS DOUBLE,v AS DOUBLE)
DECLARE IMPORT, glEvalCoord2dv(uDOUBLE AS POINTER)
DECLARE IMPORT, glEvalCoord2f(u AS FLOAT,v AS FLOAT)
DECLARE IMPORT, glEvalCoord2fv(uFLOAT AS POINTER)
DECLARE IMPORT, glEvalMesh1(mode AS UINT,i1 AS INT,i2 AS INT)
DECLARE IMPORT, glEvalMesh2(mode AS UINT,i1 AS INT,i2 AS INT,j1 AS INT,j2 AS INT)
DECLARE IMPORT, glEvalPoint1(i AS INT)
DECLARE IMPORT, glEvalPoint2(i AS INT,j AS INT)
DECLARE IMPORT, glFeedbackBuffer(size AS INT,thisType AS UINT,bufferFLOAT AS POINTER)
DECLARE IMPORT, glFinish()
DECLARE IMPORT, glFlush()
DECLARE IMPORT, glFogf(pname AS UINT,param AS FLOAT)
DECLARE IMPORT, glFogfv(pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glFogi(pname AS UINT,param AS INT)
DECLARE IMPORT, glFogiv(pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glFrontFace(mode AS UINT)
DECLARE IMPORT, glFrustum(left AS DOUBLE,right AS DOUBLE,bottom AS DOUBLE,top AS DOUBLE,zNear AS DOUBLE,zFar AS DOUBLE)
DECLARE IMPORT, glGenLists(range AS INT),UINT
DECLARE IMPORT, glGenTextures(n AS INT,texturesUINT AS POINTER)
DECLARE IMPORT, glGetBooleanv(pname AS UINT,paramsCHAR AS POINTER)
DECLARE IMPORT, glGetClipPlane(plane AS UINT,equationDOUBLE AS POINTER)
DECLARE IMPORT, glGetDoublev(pname AS UINT,paramsDOUBLE AS POINTER)
DECLARE IMPORT, glGetError(),UINT
DECLARE IMPORT, glGetFloatv(pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glGetIntegerv(pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glGetLightfv(light AS UINT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glGetLightiv(light AS UINT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glGetMapdv(target AS UINT,query AS UINT,vDOUBLE AS POINTER)
DECLARE IMPORT, glGetMapfv(target AS UINT,query AS UINT,vFLOAT AS POINTER)
DECLARE IMPORT, glGetMapiv(target AS UINT,query AS UINT,vINT AS POINTER)
DECLARE IMPORT, glGetMaterialfv(face AS UINT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glGetMaterialiv(face AS UINT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glGetPixelMapfv(map AS UINT,valuesFLOAT AS POINTER)
DECLARE IMPORT, glGetPixelMapuiv(map AS UINT,valuesUINT AS POINTER)
DECLARE IMPORT, glGetPixelMapusv(map AS UINT,valuesWORD AS POINTER)
'DECLARE IMPORT, glGetPointerv(pname AS UINT, * *params)
DECLARE IMPORT, glGetPolygonStipple(maskCHAR AS POINTER)
DECLARE IMPORT, glGetString(name AS UINT),POINTER ' returns a CHAR pointer 
DECLARE IMPORT, glGetTexEnvfv(target AS UINT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glGetTexEnviv(target AS UINT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glGetTexGendv(coord AS UINT,pname AS UINT,paramsDOUBLE AS POINTER)
DECLARE IMPORT, glGetTexGenfv(coord AS UINT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glGetTexGeniv(coord AS UINT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glGetTexImage(target AS UINT,level AS INT,format AS UINT,thisType AS UINT,pixels AS POINTER)
DECLARE IMPORT, glGetTexLevelParameterfv(target AS UINT,level AS INT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glGetTexLevelParameteriv(target AS UINT,level AS INT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glGetTexParameterfv(target AS UINT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glGetTexParameteriv(target AS UINT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glHint(target AS UINT,mode AS UINT)
DECLARE IMPORT, glIndexMask(mask AS UINT)
DECLARE IMPORT, glIndexPointer(thisType AS UINT,stride AS INT, thisPointer AS POINTER)
DECLARE IMPORT, glIndexd(c AS DOUBLE)
DECLARE IMPORT, glIndexdv(cDOUBLE AS POINTER)
DECLARE IMPORT, glIndexf(c AS FLOAT)
DECLARE IMPORT, glIndexfv(cFLOAT AS POINTER)
DECLARE IMPORT, glIndexi(c AS INT)
DECLARE IMPORT, glIndexiv(cINT AS POINTER)
DECLARE IMPORT, glIndexs(c AS SWORD)
DECLARE IMPORT, glIndexsv(vSWORD AS POINTER)
DECLARE IMPORT, glIndexub(c AS CHAR)
DECLARE IMPORT, glIndexubv(cCHAR AS POINTER)
DECLARE IMPORT, glInitNames()
DECLARE IMPORT, glInterleavedArrays(format AS UINT,stride AS INT,thisPointer AS POINTER)
DECLARE IMPORT, glIsEnabled(cap AS UINT),CHAR
DECLARE IMPORT, glIsList(list AS UINT),CHAR
DECLARE IMPORT, glIsTexture(texture AS UINT),CHAR
DECLARE IMPORT, glLightModelf(pname AS UINT,param AS FLOAT)
DECLARE IMPORT, glLightModelfv(pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glLightModeli(pname AS UINT,param AS INT)
DECLARE IMPORT, glLightModeliv(pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glLightf(light AS UINT,pname AS UINT,param AS FLOAT)
DECLARE IMPORT, glLightfv(light AS UINT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glLighti(light AS UINT,pname AS UINT,param AS INT)
DECLARE IMPORT, glLightiv(light AS UINT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glLineStipple(factor AS INT,pattern AS WORD)
DECLARE IMPORT, glLineWidth(width AS FLOAT)
DECLARE IMPORT, glListBase(base AS UINT)
DECLARE IMPORT, glLoadIdentity()
DECLARE IMPORT, glLoadMatrixd(mDOUBLE AS POINTER)
DECLARE IMPORT, glLoadMatrixf(mFLOAT AS POINTER)
DECLARE IMPORT, glLoadName(name AS UINT)
DECLARE IMPORT, glLogicOp(opcode AS UINT)
DECLARE IMPORT, glMap1d(target AS UINT,u1 AS DOUBLE,u2 AS DOUBLE,stride AS INT,order AS INT,pointsDOUBLE AS POINTER)
DECLARE IMPORT, glMap1f(target AS UINT,u1 AS FLOAT,u2 AS FLOAT,stride AS INT,order AS INT, pointsFLOAT AS POINTER)
DECLARE IMPORT, glMap2d(target AS UINT,u1 AS DOUBLE,u2 AS DOUBLE,stride AS INT,uorder AS INT,v1 AS DOUBLE,v2 AS DOUBLE,vstride AS INT,vorder AS INT,pointsDOUBLE AS POINTER)
DECLARE IMPORT, glMap2f(target AS UINT,u1 AS FLOAT,u2 AS FLOAT,stride AS INT,uorder AS INT,v1 AS FLOAT,v2 AS FLOAT,vstride AS INT,vorder AS INT,pointsFLOAT AS POINTER)
DECLARE IMPORT, glMapGrid1d(un AS INT,u1 AS DOUBLE,u2 AS DOUBLE)
DECLARE IMPORT, glMapGrid1f(un AS INT,u1 AS FLOAT,u2 AS FLOAT)
DECLARE IMPORT, glMapGrid2d(un AS INT,u1 AS DOUBLE,u2 AS DOUBLE,vn AS INT,v1 AS DOUBLE,v2 AS DOUBLE)
DECLARE IMPORT, glMapGrid2f(un AS INT,u1 AS FLOAT,u2 AS FLOAT,vn AS INT,v1 AS FLOAT,v2 AS FLOAT)
DECLARE IMPORT, glMaterialf(face AS UINT,pname AS UINT,param AS FLOAT)
DECLARE IMPORT, glMaterialfv(face AS UINT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glMateriali(face AS UINT,pname AS UINT,param AS INT)
DECLARE IMPORT, glMaterialiv(face AS UINT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glMatrixMode(mode AS UINT)
DECLARE IMPORT, glMultMatrixd(mDOUBLE AS POINTER)
DECLARE IMPORT, glMultMatrixf(mFLOAT AS POINTER)
DECLARE IMPORT, glNewList(list AS UINT,mode AS UINT)
DECLARE IMPORT, glNormal3b(nx AS SCHAR,ny AS SCHAR,nz AS SCHAR)
DECLARE IMPORT, glNormal3bv(vSCHAR AS POINTER)
DECLARE IMPORT, glNormal3d(nx AS DOUBLE,ny AS DOUBLE,nz AS DOUBLE)
DECLARE IMPORT, glNormal3dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glNormal3f(nx AS FLOAT,ny AS FLOAT,nz AS FLOAT)
DECLARE IMPORT, glNormal3fv(vFLOAT AS POINTER)
DECLARE IMPORT, glNormal3i(nx AS INT,ny AS INT,nz AS INT)
DECLARE IMPORT, glNormal3iv(vINT AS POINTER)
DECLARE IMPORT, glNormal3s(nx AS SWORD,ny AS SWORD,nz AS SWORD)
DECLARE IMPORT, glNormal3sv(vSWORD AS POINTER)
DECLARE IMPORT, glNormalPointer (thisType AS UINT,stride AS INT,thisPointer AS POINTER)
DECLARE IMPORT, glOrtho(left AS DOUBLE,right AS DOUBLE,bottom AS DOUBLE,top AS DOUBLE,zNear AS DOUBLE,zFar AS DOUBLE)
DECLARE IMPORT, glPassThrough (token AS FLOAT)
DECLARE IMPORT, glPixelMapfv(map AS UINT,mapsize AS INT,valuesFLOAT AS POINTER)
DECLARE IMPORT, glPixelMapuiv(map AS UINT,mapsize AS INT,valuesUINT AS POINTER)
DECLARE IMPORT, glPixelMapusv(map AS UINT,mapsize AS INT,valuesWORD AS POINTER)
DECLARE IMPORT, glPixelStoref(pname AS UINT,param AS FLOAT)
DECLARE IMPORT, glPixelStorei(pname AS UINT,param AS INT)
DECLARE IMPORT, glPixelTransferf(pname AS UINT,param AS FLOAT)
DECLARE IMPORT, glPixelTransferi(pname AS UINT,param AS INT)
DECLARE IMPORT, glPixelZoom(xfactor AS FLOAT,yfactor AS FLOAT)
DECLARE IMPORT, glPointSize(size AS FLOAT)
DECLARE IMPORT, glPolygonMode(face AS UINT,mode AS UINT)
DECLARE IMPORT, glPolygonOffset(factor AS FLOAT,units AS FLOAT)
DECLARE IMPORT, glPolygonStipple(maskCHAR AS POINTER)
DECLARE IMPORT, glPopAttrib()
DECLARE IMPORT, glPopClientAttrib()
DECLARE IMPORT, glPopMatrix()
DECLARE IMPORT, glPopName()
DECLARE IMPORT, glPrioritizeTextures(n AS INT,texturesUINT AS POINTER,prioritiesFLOAT AS POINTER)
DECLARE IMPORT, glPushAttrib(mask AS UINT)
DECLARE IMPORT, glPushClientAttrib(mask AS UINT)
DECLARE IMPORT, glPushMatrix()
DECLARE IMPORT, glPushName(name AS UINT)
DECLARE IMPORT, glRasterPos2d(x AS DOUBLE,y AS DOUBLE)
DECLARE IMPORT, glRasterPos2dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glRasterPos2f(x AS FLOAT,y AS FLOAT)
DECLARE IMPORT, glRasterPos2fv(vFLOAT AS POINTER)
DECLARE IMPORT, glRasterPos2i(x AS INT,y AS INT)
DECLARE IMPORT, glRasterPos2iv(vINT AS POINTER)
DECLARE IMPORT, glRasterPos2s(x AS SWORD,y AS SWORD)
DECLARE IMPORT, glRasterPos2sv(vSWORD AS POINTER)
DECLARE IMPORT, glRasterPos3d(x AS DOUBLE,y AS DOUBLE,z AS DOUBLE)
DECLARE IMPORT, glRasterPos3dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glRasterPos3f(x AS FLOAT,y AS FLOAT,z AS FLOAT)
DECLARE IMPORT, glRasterPos3fv(vFLOAT AS POINTER)
DECLARE IMPORT, glRasterPos3i(x AS INT,y AS INT,z AS INT)
DECLARE IMPORT, glRasterPos3iv(vINT AS POINTER)
DECLARE IMPORT, glRasterPos3s(x AS SWORD,y AS SWORD,z AS SWORD)
DECLARE IMPORT, glRasterPos3sv(vSWORD AS POINTER)
DECLARE IMPORT, glRasterPos4d(x AS DOUBLE,y AS DOUBLE,z AS DOUBLE,w AS DOUBLE)
DECLARE IMPORT, glRasterPos4dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glRasterPos4f(x AS FLOAT,y AS FLOAT,z AS FLOAT,w AS FLOAT)
DECLARE IMPORT, glRasterPos4fv(vFLOAT AS POINTER)
DECLARE IMPORT, glRasterPos4i(x AS INT,y AS INT,z AS INT,w AS INT)
DECLARE IMPORT, glRasterPos4iv(vINT AS POINTER)
DECLARE IMPORT, glRasterPos4s(x AS SWORD,y AS SWORD,z AS SWORD,w AS SWORD)
DECLARE IMPORT, glRasterPos4sv(vSWORD AS POINTER)
DECLARE IMPORT, glReadBuffer(mode AS UINT)
DECLARE IMPORT, glReadPixels(x AS INT,y AS INT,width AS INT,height AS INT,format AS UINT,thisType AS UINT,pixels AS POINTER)
DECLARE IMPORT, glRectd(x1 AS DOUBLE,y1 AS DOUBLE,x2 AS DOUBLE,y2 AS DOUBLE)
DECLARE IMPORT, glRectdv(v1DOUBLE AS POINTER,v2DOUBLE AS POINTER)
DECLARE IMPORT, glRectf(x1 AS FLOAT,y1 AS FLOAT,x2 AS FLOAT,y2 AS FLOAT)
DECLARE IMPORT, glRectfv(v1FLOAT AS POINTER,v2FLOAT AS POINTER)
DECLARE IMPORT, glRecti(x1 AS INT,y1 AS INT,x2 AS INT,y2 AS INT)
DECLARE IMPORT, glRectiv(v1INT AS POINTER, v2INT AS POINTER)
DECLARE IMPORT, glRects(x1 AS SWORD,y1 AS SWORD,x2 AS SWORD,y2 AS SWORD)
DECLARE IMPORT, glRectsv(vSWORD1 AS POINTER,vSWORD2 AS POINTER)
DECLARE IMPORT, glRenderMode(mode AS UINT),INT
DECLARE IMPORT, glRotated(angle AS DOUBLE,x AS DOUBLE,y AS DOUBLE,z AS DOUBLE)
DECLARE IMPORT, glRotatef(angle AS FLOAT,x AS FLOAT,y AS FLOAT,z AS FLOAT)
DECLARE IMPORT, glScaled(x AS DOUBLE,y AS DOUBLE,z AS DOUBLE)
DECLARE IMPORT, glScalef(x AS FLOAT,y AS FLOAT,z AS FLOAT)
DECLARE IMPORT, glScissor(x AS INT,y AS INT,width AS INT,height AS INT)
DECLARE IMPORT, glSelectBuffer(size AS INT,bufferUINT AS POINTER)
DECLARE IMPORT, glShadeModel(mode AS UINT)
DECLARE IMPORT, glStencilFunc(func AS UINT,ref AS INT,mask AS UINT)
DECLARE IMPORT, glStencilMask(mask AS UINT)
DECLARE IMPORT, glStencilOp(fail AS UINT,zfail AS UINT,zpass AS UINT)
DECLARE IMPORT, glTexCoord1d(s AS DOUBLE)
DECLARE IMPORT, glTexCoord1dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glTexCoord1f(s AS FLOAT)
DECLARE IMPORT, glTexCoord1fv(vFLOAT AS POINTER)
DECLARE IMPORT, glTexCoord1i(s AS INT)
DECLARE IMPORT, glTexCoord1iv(vINT AS POINTER)
DECLARE IMPORT, glTexCoord1s(s AS SWORD)
DECLARE IMPORT, glTexCoord1sv(vSWORD AS POINTER)
DECLARE IMPORT, glTexCoord2d(s AS DOUBLE,t AS DOUBLE)
DECLARE IMPORT, glTexCoord2dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glTexCoord2f(s AS FLOAT,t AS FLOAT)
DECLARE IMPORT, glTexCoord2fv(vFLOAT AS POINTER)
DECLARE IMPORT, glTexCoord2i(s AS INT,t AS INT)
DECLARE IMPORT, glTexCoord2iv(vINT AS POINTER)
DECLARE IMPORT, glTexCoord2s(s AS SWORD,t AS SWORD)
DECLARE IMPORT, glTexCoord2sv(vSWORD AS POINTER)
DECLARE IMPORT, glTexCoord3d(s AS DOUBLE,t AS DOUBLE,r AS DOUBLE)
DECLARE IMPORT, glTexCoord3dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glTexCoord3f(s AS FLOAT,t AS FLOAT,r AS FLOAT)
DECLARE IMPORT, glTexCoord3fv(vFLOAT AS POINTER)
DECLARE IMPORT, glTexCoord3i(s AS INT,t AS INT,r AS INT)
DECLARE IMPORT, glTexCoord3iv(vINT AS POINTER)
DECLARE IMPORT, glTexCoord3s(s AS SWORD,t AS SWORD,r AS SWORD)
DECLARE IMPORT, glTexCoord3sv(vSWORD AS POINTER)
DECLARE IMPORT, glTexCoord4d(s AS DOUBLE,t AS DOUBLE,r AS DOUBLE,q AS DOUBLE)
DECLARE IMPORT, glTexCoord4dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glTexCoord4f(s AS FLOAT,t AS FLOAT,r AS FLOAT,q AS FLOAT)
DECLARE IMPORT, glTexCoord4fv(vFLOAT AS POINTER)
DECLARE IMPORT, glTexCoord4i(s AS INT,t AS INT,r AS INT,q AS INT)
DECLARE IMPORT, glTexCoord4iv(vINT AS POINTER)
DECLARE IMPORT, glTexCoord4s(s AS SWORD,t AS SWORD,r AS SWORD,q AS SWORD)
DECLARE IMPORT, glTexCoord4sv(vSWORD AS POINTER)
DECLARE IMPORT, glTexCoordPointer(size AS INT,thisType AS UINT,stride AS INT,thisPointer AS POINTER)
DECLARE IMPORT, glTexEnvf(target AS UINT,pname AS UINT,param AS FLOAT)
DECLARE IMPORT, glTexEnvfv(target AS UINT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glTexEnvi(target AS UINT,pname AS UINT,param AS INT)
DECLARE IMPORT, glTexEnviv(target AS UINT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glTexGend(coord AS UINT,pname AS UINT,param AS DOUBLE)
DECLARE IMPORT, glTexGendv(coord AS UINT,pname AS UINT,paramsDOUBLE AS POINTER)
DECLARE IMPORT, glTexGenf(coord AS UINT,pname AS UINT,param AS FLOAT)
DECLARE IMPORT, glTexGenfv(coord AS UINT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glTexGeni(coord AS UINT,pname AS UINT,param AS INT)
DECLARE IMPORT, glTexGeniv(coord AS UINT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glTexImage1D(target AS UINT,level AS INT,internalformat AS INT,width AS INT,border AS INT,format AS UINT,thisType AS UINT,pixels AS POINTER)
DECLARE IMPORT, glTexImage2D(target AS UINT,level AS INT,internalformat AS INT,width AS INT,height AS INT,border AS INT,format AS UINT,thisType AS UINT,pixels AS POINTER)
DECLARE IMPORT, glTexParameterf(target AS UINT,pname AS UINT,param AS FLOAT)
DECLARE IMPORT, glTexParameterfv(target AS UINT,pname AS UINT,paramsFLOAT AS POINTER)
DECLARE IMPORT, glTexParameteri(target AS UINT,pname AS UINT,param AS INT)
DECLARE IMPORT, glTexParameteriv(target AS UINT,pname AS UINT,paramsINT AS POINTER)
DECLARE IMPORT, glTexSubImage1D(target AS UINT,level AS INT,xoffset AS INT,width AS INT,format AS UINT,thisType AS UINT,pixels AS POINTER)
DECLARE IMPORT, glTexSubImage2D(target AS UINT,level AS INT,xoffset AS INT,yoffset AS INT,width AS INT,height AS INT,format AS UINT,thisType AS UINT,pixels AS POINTER)
DECLARE IMPORT, glTranslated(x AS DOUBLE,y AS DOUBLE,z AS DOUBLE)
DECLARE IMPORT, glTranslatef(x AS FLOAT,y AS FLOAT,z AS FLOAT)
DECLARE IMPORT, glVertex2d(x AS DOUBLE,y AS DOUBLE)
DECLARE IMPORT, glVertex2dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glVertex2f(x AS FLOAT,y AS FLOAT)
DECLARE IMPORT, glVertex2fv(vFLOAT AS POINTER)
DECLARE IMPORT, glVertex2i(x AS INT,y AS INT)
DECLARE IMPORT, glVertex2iv(vINT AS POINTER)
DECLARE IMPORT, glVertex2s(x AS SWORD,y AS SWORD)
DECLARE IMPORT, glVertex2sv(vSWORD AS POINTER)
DECLARE IMPORT, glVertex3d(x AS DOUBLE,y AS DOUBLE,z AS DOUBLE)
DECLARE IMPORT, glVertex3dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glVertex3f(x AS FLOAT,y AS FLOAT,z AS FLOAT)
DECLARE IMPORT, glVertex3fv(vFLOAT AS POINTER)
DECLARE IMPORT, glVertex3i(x AS INT,y AS INT,z AS INT)
DECLARE IMPORT, glVertex3iv(vINT AS POINTER)
DECLARE IMPORT, glVertex3s(x AS SWORD,y AS SWORD,z AS SWORD)
DECLARE IMPORT, glVertex3sv(vSWORD AS POINTER)
DECLARE IMPORT, glVertex4d(x AS DOUBLE,y AS DOUBLE,z AS DOUBLE,w AS DOUBLE)
DECLARE IMPORT, glVertex4dv(vDOUBLE AS POINTER)
DECLARE IMPORT, glVertex4f(x AS FLOAT,y AS FLOAT,z AS FLOAT,w AS FLOAT)
DECLARE IMPORT, glVertex4fv(vFLOAT AS POINTER)
DECLARE IMPORT, glVertex4i(x AS INT,y AS INT,z AS INT,w AS INT)
DECLARE IMPORT, glVertex4iv(vINT AS POINTER)
DECLARE IMPORT, glVertex4s(x AS SWORD,y AS SWORD,z AS SWORD,w AS SWORD)
DECLARE IMPORT, glVertex4sv(vSWORD AS POINTER)
DECLARE IMPORT, glVertexPointer(size AS INT,thisType AS UINT,stride AS INT,thisPointer AS POINTER)
DECLARE IMPORT, glViewport(x AS INT,y AS INT,width AS INT,height AS INT)
