' Converted glu.h for IBasic use by Todd Riggins[www.exodev.com]

/*
typedef unsigned int GLenum;
typedef unsigned char GLboolean;
typedef unsigned int GLbitfield;
typedef signed char GLbyte;
typedef short GLshort;
typedef int GLint;
typedef int GLsizei;
typedef unsigned char GLubyte;
typedef unsigned short GLushort;
typedef unsigned int GLuint;
typedef float AS FLOAT;
typedef float GLclampf;
typedef double GLdouble;
typedef double GLclampd;
typedef void GLvoid;
*/
$USE "GLU32.lib"
DECLARE IMPORT, gluErrorString(errCode AS UINT),POINTER : ' returns a CHAR POINTER
DECLARE IMPORT, gluErrorUnicodeStringEXT(errCode AS UINT),POINTER : ' returns a WORD POINTER
DECLARE IMPORT, gluGetString(name AS UINT),POINTER : ' returns a CHAR POINTER

DECLARE IMPORT, gluOrtho2D(left AS DOUBLE,right AS DOUBLE,bottom AS DOUBLE,top AS DOUBLE)
DECLARE IMPORT, gluPerspective(fovy AS DOUBLE,aspect AS DOUBLE,zNear AS DOUBLE,zFar AS DOUBLE)
DECLARE IMPORT, gluPickMatrix(x AS DOUBLE,y AS DOUBLE,width AS DOUBLE,height AS DOUBLE,viewport[4] as INT)
DECLARE IMPORT, gluLookAt(eyex AS DOUBLE,eyey AS DOUBLE,eyez AS DOUBLE,centerx AS DOUBLE,centery AS DOUBLE,centerz AS DOUBLE,upx AS DOUBLE,upy AS DOUBLE,upz AS DOUBLE)

DECLARE IMPORT, gluProject(objx AS DOUBLE,objy AS DOUBLE,objz AS DOUBLE,modelMatrix[16] AS DOUBLE,projMatrix[16] AS DOUBLE,viewport[4] AS INT,winxDOUBLE AS POINTER,winyDOUBLE AS POINTER,winzDOUBLE AS POINTER),INT
DECLARE IMPORT, gluUnProject(winx AS DOUBLE,winy AS DOUBLE,winz AS DOUBLE,modelMatrix[16] AS DOUBLE,projMatrix[16] AS DOUBLE,viewport[4] AS INT,objxDOUBLE AS POINTER,objyDOUBLE AS POINTER,objzDOUBLE AS POINTER),INT
DECLARE IMPORT, gluScaleImage(format AS UINT,widthin AS INT,heightin AS INT,typein AS UINT,datain AS POINTER,widthout AS INT,heightout AS INT,typeout AS UINT,dataout AS POINTER),INT
DECLARE IMPORT, gluBuild1DMipmaps(target AS UINT,components AS INT,width AS INT,format AS UINT,thisType AS UINT,thisData AS POINTER),INT
DECLARE IMPORT, gluBuild2DMipmaps(target AS UINT,components AS INT,width AS INT,height AS INT,format AS UINT,thisType AS UINT,thisData AS POINTER),INT

TYPE GLUnurbs
ENDTYPE
TYPE GLUquadric
ENDTYPE
TYPE GLUtesselator
ENDTYPE
/* backwards compatibility: */
'typedef struct GLUnurbs GLUnurbsObj;
'typedef struct GLUquadric GLUquadricObj;
'typedef struct GLUtesselator GLUtesselatorObj;
'typedef struct GLUtesselator GLUtriangulatorObj;

DECLARE IMPORT, gluNewQuadric(),POINTER : ' returns a "GLUquadric" UDT pointer
' state, quadObject and qobj are pointers to a GLUquadric address
DECLARE IMPORT, gluDeleteQuadric(state AS POINTER)
DECLARE IMPORT, gluQuadricNormals(quadObject AS POINTER,normals AS UINT)
DECLARE IMPORT, gluQuadricTexture(quadObject AS POINTER,textureCoords AS CHAR) : ' <-- The CHAR here is suppose to act like a booleen of 1 = true and 0 = false
DECLARE IMPORT, gluQuadricOrientation(quadObject AS POINTER,orientation AS UINT)
DECLARE IMPORT, gluQuadricDrawStyle(quadObject AS POINTER,drawStyle AS UINT)
DECLARE IMPORT, gluCylinder(qobj AS POINTER,baseRadius AS DOUBLE,topRadius AS DOUBLE,height AS DOUBLE,slices AS INT,stacks AS INT)
DECLARE IMPORT, gluDisk(qobj AS POINTER,innerRadius AS DOUBLE,outerRadius AS DOUBLE,slices AS INT,loops AS INT)
DECLARE IMPORT, gluPartialDisk(qobj AS POINTER,innerRadius AS DOUBLE,outerRadius AS DOUBLE,slices AS INT,loops AS INT,startAngle AS DOUBLE,sweepAngle AS DOUBLE)
DECLARE IMPORT, gluSphere(qobj AS POINTER,radius AS DOUBLE,slices AS INT,stacks AS INT)
DECLARE IMPORT, gluQuadricCallback(qobj AS POINTER,which AS UINT,callback AS UINT)

DECLARE IMPORT, gluNewTess(),POINTER : ' returns a "GLUtesselator" UDT pointer
' tess is a pointer to a GLUtesselator address
DECLARE IMPORT, gluDeleteTess(tess AS POINTER) 
DECLARE IMPORT, gluTessBeginPolygon(tess AS POINTER,polygon_data AS POINTER)
DECLARE IMPORT, gluTessBeginContour(tess AS POINTER)
DECLARE IMPORT, gluTessVertex(tess AS POINTER,coords[3] AS DOUBLE,thisData AS POINTER)
DECLARE IMPORT, gluTessEndContour(tess AS POINTER)
DECLARE IMPORT, gluTessEndPolygon(tess AS POINTER)
DECLARE IMPORT, gluTessProperty(tess AS POINTER,which AS UINT,value AS DOUBLE)
DECLARE IMPORT, gluTessNormal(tess AS POINTER,x AS DOUBLE,y AS DOUBLE,z AS DOUBLE)
DECLARE IMPORT, gluTessCallback(tess AS POINTER, which AS UINT, callback as UINT) 
DECLARE IMPORT, gluGetTessProperty(tess AS POINTER,which AS UINT,valueDOUBLE AS POINTER)

DECLARE IMPORT, gluNewNurbsRenderer(),POINTER : ' returns a "GLUnurbs" UDT pointer
' nobj is a pointer to a GLUnurbs address
DECLARE IMPORT, gluDeleteNurbsRenderer(nobj AS POINTER)
DECLARE IMPORT, gluBeginSurface(nobj AS POINTER)
DECLARE IMPORT, gluBeginCurve(nobj AS POINTER)
DECLARE IMPORT, gluEndCurve(nobj AS POINTER)
DECLARE IMPORT, gluEndSurface(nobj AS POINTER)
DECLARE IMPORT, gluBeginTrim(nobj AS POINTER)
DECLARE IMPORT, gluEndTrim(nobj AS POINTER)
DECLARE IMPORT, gluPwlCurve(nobj AS POINTER,count AS INT,arrayFLOAT AS POINTER,stride AS INT,thisType AS UINT)
DECLARE IMPORT, gluNurbsCurve(nobj AS POINTER,nknots AS INT,knotFLOAT AS POINTER,stride AS INT,ctlarrayFLOAT AS POINTER,order AS INT,thisType AS UINT)
DECLARE IMPORT, gluNurbsSurface(nobj AS POINTER,sknot_count AS INT,sknotFLOAT AS POINTER,tknot_count AS INT,tknotFLOAT AS POINTER,s_stride AS INT,t_stride AS INT,ctlarrayFLOAT AS POINTER,sorder AS INT,torder AS INT,thisType AS UINT)
DECLARE IMPORT, gluLoadSamplingMatrices(nobj AS POINTER,modelMatrix[16] AS FLOAT,projMatrix[16] AS FLOAT,viewport[4] AS INT)
DECLARE IMPORT, gluNurbsProperty(nobj AS POINTER,property AS UINT,value AS FLOAT)
DECLARE IMPORT, gluGetNurbsProperty(nobj AS POINTER,property AS UINT,valueFLOAT AS POINTER)
DECLARE IMPORT, gluNurbsCallback(nobj AS POINTER,which AS UINT, callback as UINT)

/****           Callback function prototypes    ****/
' Basically, In IBPro you dont have to worry about C style callback function prototypes.
' You will be creating your own subroutine that mimics one of the C callback function prototypes below.
' For example when using the gluTessCallback that's declared above, we would need to write our own
' subroutine callback to use with it as so:
'
'SUB MyGLUTessVertex(pData as POINTER) :' A subroutine callback
'do something with pData 
'RETURN 
'ENDSUB 
'
'DEF MyTess:GLUtesselator 
'gluTessCallback( MyTess, GLU_TESS_VERTEX, &myGLUTessVertex) :'give OpenGL the address of our subroutine callback
'
' The "which" parameter ( ie: the second parameter ) of gluTessCallback uses constants in which is located
' below in the "/* TessCallback */" section that helps us to know how we should write our
' subroutine callbacks.
'
' I purposely left the commented C code in here because I think it better describes how a 
' subroutine callback should be made. Ofcoarse, that's just IMHO.
'

/* gluQuadricCallback */
'typedef void (CALLBACK* GLUquadricErrorProc) (GLenum);

/* gluTessCallback */
'typedef void (CALLBACK* GLUtessBeginProc)        (GLenum);
'typedef void (CALLBACK* GLUtessEdgeFlagProc)     (GLboolean);
'typedef void (CALLBACK* GLUtessVertexProc)       (void *);
'typedef void (CALLBACK* GLUtessEndProc)          (void);
'typedef void (CALLBACK* GLUtessErrorProc)        (GLenum);
'typedef void (CALLBACK* GLUtessCombineProc)      (GLdouble[3],
'                                                  void*[4], 
'                                                  GLfloat[4],
'                                                  void** );
'typedef void (CALLBACK* GLUtessBeginDataProc)    (GLenum, void *);
'typedef void (CALLBACK* GLUtessEdgeFlagDataProc) (GLboolean, void *);
'typedef void (CALLBACK* GLUtessVertexDataProc)   (void *, void *);
'typedef void (CALLBACK* GLUtessEndDataProc)      (void *);
'typedef void (CALLBACK* GLUtessErrorDataProc)    (GLenum, void *);
'typedef void (CALLBACK* GLUtessCombineDataProc)  (GLdouble[3],
'                                                  void*[4], 
'                                                  GLfloat[4],
'                                                  void**,
'                                                  void* );
/* gluNurbsCallback */
'typedef void (CALLBACK* GLUnurbsErrorProc)   (GLenum);


/****           Generic constants               ****/

/* Version */
CONST GLU_VERSION_1_1                 =1
CONST GLU_VERSION_1_2                 =1

/* Errors: (return value 0 = no error) */
CONST GLU_INVALID_ENUM        =100900
CONST GLU_INVALID_VALUE       =100901
CONST GLU_OUT_OF_MEMORY       =100902
CONST GLU_INCOMPATIBLE_GL_VERSION     =100903

/* StringName */
CONST GLU_VERSION             =100800
CONST GLU_EXTENSIONS          =100801

/* Boolean */
CONST GLU_TRUE                =1 :' GL_TRUE
CONST GLU_FALSE               =0 :' GL_FALSE


/****           Quadric constants               ****/

/* QuadricNormal */
CONST GLU_SMOOTH              =100000
CONST GLU_FLAT                =100001
CONST GLU_NONE                =100002

/* QuadricDrawStyle */
CONST GLU_POINT               =100010
CONST GLU_LINE                =100011
CONST GLU_FILL                =100012
CONST GLU_SILHOUETTE          =100013

/* QuadricOrientation */
CONST GLU_OUTSIDE             =100020
CONST GLU_INSIDE              =100021



/****           Tesselation constants           ****/

' 1 with a 150 "0"'s behind it, what tha?
'CONST GLU_TESS_MAX_COORD              =1.0e150

/* TessProperty */
CONST GLU_TESS_WINDING_RULE           =100140
CONST GLU_TESS_BOUNDARY_ONLY          =100141
CONST GLU_TESS_TOLERANCE              =100142

/* TessWinding */
CONST GLU_TESS_WINDING_ODD            =100130
CONST GLU_TESS_WINDING_NONZERO        =100131
CONST GLU_TESS_WINDING_POSITIVE       =100132
CONST GLU_TESS_WINDING_NEGATIVE       =100133
CONST GLU_TESS_WINDING_ABS_GEQ_TWO    =100134

/* TessCallback */
CONST GLU_TESS_BEGIN          =100100  /* void (CALLBACK*)(GLenum    type)  */
CONST GLU_TESS_VERTEX         =100101  /* void (CALLBACK*)(void      *data) */
CONST GLU_TESS_END            =100102  /* void (CALLBACK*)(void)            */
CONST GLU_TESS_ERROR          =100103  /* void (CALLBACK*)(GLenum    errno) */
CONST GLU_TESS_EDGE_FLAG      =100104  /* void (CALLBACK*)(GLboolean boundaryEdge)  */
CONST GLU_TESS_COMBINE        =100105  /* void (CALLBACK*)(GLdouble  coords[3],
                                                            void      *data[4],
                                                            GLfloat   weight[4],
                                                            void      **dataOut)     */
CONST GLU_TESS_BEGIN_DATA     =100106  /* void (CALLBACK*)(GLenum    type,  
                                                            void      *polygon_data) */
CONST GLU_TESS_VERTEX_DATA    =100107  /* void (CALLBACK*)(void      *data, 
                                                            void      *polygon_data) */
CONST GLU_TESS_END_DATA       =100108  /* void (CALLBACK*)(void      *polygon_data) */
CONST GLU_TESS_ERROR_DATA     =100109  /* void (CALLBACK*)(GLenum    errno, 
                                                            void      *polygon_data) */
CONST GLU_TESS_EDGE_FLAG_DATA =100110  /* void (CALLBACK*)(GLboolean boundaryEdge,
                                                            void      *polygon_data) */
CONST GLU_TESS_COMBINE_DATA   =100111  /* void (CALLBACK*)(GLdouble  coords[3],
                                                            void      *data[4],
                                                            GLfloat   weight[4],
                                                            void      **dataOut,
                                                            void      *polygon_data) */

/* TessError */
CONST GLU_TESS_ERROR1     =100151
CONST GLU_TESS_ERROR2     =100152
CONST GLU_TESS_ERROR3     =100153
CONST GLU_TESS_ERROR4     =100154
CONST GLU_TESS_ERROR5     =100155
CONST GLU_TESS_ERROR6     =100156
CONST GLU_TESS_ERROR7     =100157
CONST GLU_TESS_ERROR8     =100158

CONST GLU_TESS_MISSING_BEGIN_POLYGON  =GLU_TESS_ERROR1
CONST GLU_TESS_MISSING_BEGIN_CONTOUR  =GLU_TESS_ERROR2
CONST GLU_TESS_MISSING_END_POLYGON    =GLU_TESS_ERROR3
CONST GLU_TESS_MISSING_END_CONTOUR    =GLU_TESS_ERROR4
CONST GLU_TESS_COORD_TOO_LARGE        =GLU_TESS_ERROR5
CONST GLU_TESS_NEED_COMBINE_CALLBACK  =GLU_TESS_ERROR6

/****           NURBS constants                 ****/

/* NurbsProperty */
CONST GLU_AUTO_LOAD_MATRIX    =100200
CONST GLU_CULLING             =100201
CONST GLU_SAMPLING_TOLERANCE  =100203
CONST GLU_DISPLAY_MODE        =100204
CONST GLU_PARAMETRIC_TOLERANCE        =100202
CONST GLU_SAMPLING_METHOD             =100205
CONST GLU_U_STEP                      =100206
CONST GLU_V_STEP                      =100207

/* NurbsSampling */
CONST GLU_PATH_LENGTH                 =100215
CONST GLU_PARAMETRIC_ERROR            =100216
CONST GLU_DOMAIN_DISTANCE             =100217


/* NurbsTrim */
CONST GLU_MAP1_TRIM_2         =100210
CONST GLU_MAP1_TRIM_3         =100211

/* NurbsDisplay */
CONST GLU_OUTLINE_POLYGON     =100240
CONST GLU_OUTLINE_PATCH       =100241

/* NurbsErrors */
CONST GLU_NURBS_ERROR1        =100251
CONST GLU_NURBS_ERROR2        =100252
CONST GLU_NURBS_ERROR3        =100253
CONST GLU_NURBS_ERROR4        =100254
CONST GLU_NURBS_ERROR5        =100255
CONST GLU_NURBS_ERROR6        =100256
CONST GLU_NURBS_ERROR7        =100257
CONST GLU_NURBS_ERROR8        =100258
CONST GLU_NURBS_ERROR9        =100259
CONST GLU_NURBS_ERROR10       =100260
CONST GLU_NURBS_ERROR11       =100261
CONST GLU_NURBS_ERROR12       =100262
CONST GLU_NURBS_ERROR13       =100263
CONST GLU_NURBS_ERROR14       =100264
CONST GLU_NURBS_ERROR15       =100265
CONST GLU_NURBS_ERROR16       =100266
CONST GLU_NURBS_ERROR17       =100267
CONST GLU_NURBS_ERROR18       =100268
CONST GLU_NURBS_ERROR19       =100269
CONST GLU_NURBS_ERROR20       =100270
CONST GLU_NURBS_ERROR21       =100271
CONST GLU_NURBS_ERROR22       =100272
CONST GLU_NURBS_ERROR23       =100273
CONST GLU_NURBS_ERROR24       =100274
CONST GLU_NURBS_ERROR25       =100275
CONST GLU_NURBS_ERROR26       =100276
CONST GLU_NURBS_ERROR27       =100277
CONST GLU_NURBS_ERROR28       =100278
CONST GLU_NURBS_ERROR29       =100279
CONST GLU_NURBS_ERROR30       =100280
CONST GLU_NURBS_ERROR31       =100281
CONST GLU_NURBS_ERROR32       =100282
CONST GLU_NURBS_ERROR33       =100283
CONST GLU_NURBS_ERROR34       =100284
CONST GLU_NURBS_ERROR35       =100285
CONST GLU_NURBS_ERROR36       =100286
CONST GLU_NURBS_ERROR37       =100287

/****           Backwards compatibility for old tesselator           ****/
DECLARE IMPORT, gluBeginPolygon(tess AS POINTER) 					:' tess is a pointer to a GLUtesselator address
DECLARE IMPORT, gluNextContour(tess AS POINTER, thisType AS UINT) 	:' tess is a pointer to a GLUtesselator address
DECLARE IMPORT, gluEndPolygon(tess AS POINTER) 						:' tess is a pointer to a GLUtesselator address

/* Contours types -- obsolete! */
CONST GLU_CW          =100120
CONST GLU_CCW         =100121
CONST GLU_INTERIOR    =100122
CONST GLU_EXTERIOR    =100123
CONST GLU_UNKNOWN     =100124

/* Names without "TESS_" prefix */
CONST GLU_BEGIN       =GLU_TESS_BEGIN
CONST GLU_VERTEX      =GLU_TESS_VERTEX
CONST GLU_END         =GLU_TESS_END
CONST GLU_ERROR       =GLU_TESS_ERROR
CONST GLU_EDGE_FLAG   =GLU_TESS_EDGE_FLAG


